import SampleBackground from '../assets/img/sample-bg.jpg';

export default function Step(props) {
    const overlayStyle = {
        backgroundColor: "#3b3b3b74",
        paddingRight: '3vw',
        paddingLeft: '3vw'
    };

    const StepBackgroundImage = props.backgroundImage || SampleBackground
    const stepStyle = {
        backgroundImage: `url(${StepBackgroundImage})`
    };

    return (
        <div style={stepStyle}>
            <div className='step-container mt-4 py-4' style={overlayStyle}>
                {props.contentComponent ? (
                    <div>
                        {props.contentComponent}
                    </div>
                ) : (
                    <div className='d-flex justify-content-between'>
                        <div>
                            {props.informationComponent}
                        </div>
                        <div>
                            {props.selectionComponent}
                        </div>
                    </div>
                )}
            </div>
        </div>
    );
}
